<?php
	
	lt_include( PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php" );

	/**
	 * implements the main view of the SAPE client plugin
	 */
	class PluginSapeClientConfigView extends AdminPluginTemplatedView
	{

		function PluginSapeClientConfigView( $blogInfo )
		{
			$this->AdminPluginTemplatedView( $blogInfo, "sapeclient", "sapeclient" );
		}
		
		function render()
		{
			// load some configuration settings
			$blogSettings = $this->_blogInfo->getSettings();
			$pluginEnabled = $blogSettings->getValue( "plugin_sapeclient_enabled" );
			$sapeuser = $blogSettings->getValue( "plugin_sapeclient_sapeuser");
			
			// create a view and export the settings to the template
			$this->setValue( "pluginEnabled", $pluginEnabled );
			$this->setValue( "sapeuser", $sapeuser );
			
			parent::render();
		}
	}
?>
